/*
  AntiRight
  (c) 2003-2004 Jeffrey Bedard
  jefbed@e-list.net
 
  This file is part of AntiRight.

  AntiRight is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  AntiRight is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with AntiRight; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef AR_LIBRARY_H
#define AR_LIBRARY_H

#include <Xm/XmAll.h>
#include "button.h"
#include "drawing.h"
#include "edit.h"
#include "form.h"
#include "frame.h"
#include "help.h"
#include "label.h"
#include "list.h"
#include "menubar.h"
#include "popup.h"
#include "row.h"
#include "separator.h"
#include "window.h"
#include "status.h"
#include "util.h"

/* Abbreviations defined here may be used throughout libantiright
   applications.  */

Arg antiright_arguments[64];
Cardinal antiright_number_arguments;

/* This is used to close and destroy dialogs.  */
void
antiright_close_cb(Widget widget,
		   XtPointer client_data,
		   XtPointer call_data);

/* This exits the program.  */
void
antiright_exit_cb();

/* This is used to execute a command.  It will always be run in the
   background.  */
void
antiright_system_cb(Widget widget,
		    XtPointer client_data, /* This is the command to
					      be executed.  */
		    XtPointer call_data);

/* This is the means by which a command entered in a text field is
   executed by the shell.  */
void
antiright_command(Widget command_widget);

/* This is used as a callback for shell command text fields.  */
void
antiright_command_cb(Widget widget,
		     XtPointer client_data,
		     XtPointer call_data);



/*  This sets a widget's value before creation.  The resource
    arguments are stored in antiright_arguments.  The number of
    arguments are stored in antiright_number_arguments.  */
void 
antiright_set(String name, /* This is the resource name.  */
	      XtArgVal value); /* This is the value of the resource.
				  If it is a variable, it will have to
				  be casted to XtArgVal.  */



/* This creates a separator, usually used on pulldown menus.  */
void 
antiright_separator(Widget parent); /* This is the parent widget.  */

enum
  {
    ANTIRIGHT_NONE=-1/*,*/
    /* 256 is an arbitrary, though practical, buffer size.  */
    /*    ANTIRIGHT_BUFFER_SIZE=256*/
  };


/* This is a shortcut macro to clear antiright Xt arguments.  AR is an
   abreviation for AntiRight.  CL is an abbreviation for CLear.  ARG
   is an abbreviation for ARGuments.  */
#define ARCLARG antiright_number_arguments=0

#endif /* AR_LIBRARY_H */
