/*
  AntiRight
  (c) 2002-2004 Jeffrey Bedard
  jefbed@e-list.net
 
  This file is part of AntiRight.

  AntiRight is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  AntiRight is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with AntiRight; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef AR_UTIL_H
#define AR_UTIL_H

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <errno.h>
#include <assert.h>

/* This is a function that launches a command and returns the output.
   Make sure that you free the returned string when finished.  */
char*
antiright_pipe_read(char *command_string);

/* This is the xmalloc function for AntiRight applications.  It
   verifies the allocation with an assertion.  */
void *
xmalloc(size_t size);

int 
antiright_system(char *field_string);

/* Free the returned value!  */
char*
antiright_beautified_label(char* current_argument_string);


#endif /* AR_UTIL_H  */
